> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tx Ops Get Settlement Plan

> Name and signature indicate it returns tx ops get settlement plan

Required scope: `payments:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/tx-ops-get-settlement-plan
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/tx-ops-get-settlement-plan:
    get:
      operationId: txOpsGetSettlementPlan
      summary: Tx Ops Get Settlement Plan
      x-toku-required-scope: payments:read
      description: |-
        Name and signature indicate it returns tx ops get settlement plan

        Required scope: `payments:read`
      parameters:
        - name: batchID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxOpsGetSettlementPlanResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TxOpsGetSettlementPlanResponse:
      type: object
      properties:
        deterministicRoutes:
          type: array
          items:
            type: object
            additionalProperties: {}
        nonDeterministicRoutes:
          type: array
          items:
            type: object
            properties:
              groupKey:
                type: string
              rail:
                type: string
                enum:
                  - CRYPTO
                  - FIAT
              paymentIntentIDs:
                type: array
                items:
                  type: string
              readyAmount:
                type: string
              readyCount:
                type: integer
              recipientCount:
                type: integer
              status:
                type: string
              reasons:
                type: array
                items:
                  type: string
              tokenSymbol:
                type: string
              tokenAddress:
                type: string
              networkName:
                type: string
              networkChainID:
                type: string
              availableProviders:
                type: array
                items:
                  type: object
                  additionalProperties: {}
              fiatFunding:
                type: object
                additionalProperties: {}
            required:
              - groupKey
              - rail
              - paymentIntentIDs
              - readyAmount
              - readyCount
              - recipientCount
              - status
              - reasons
              - tokenSymbol
              - tokenAddress
              - networkName
              - networkChainID
        summary:
          type: object
          properties:
            deterministicIntentCount:
              type: integer
            nonDeterministicIntentCount:
              type: integer
            deterministicRouteCount:
              type: integer
            nonDeterministicRouteCount:
              type: integer
            providerCount:
              type: integer
            networkCount:
              type: integer
            tokenCount:
              type: integer
            hasExecutableRoutes:
              type: boolean
          required:
            - deterministicIntentCount
            - nonDeterministicIntentCount
            - deterministicRouteCount
            - nonDeterministicRouteCount
            - providerCount
            - networkCount
            - tokenCount
            - hasExecutableRoutes
      required:
        - deterministicRoutes
        - nonDeterministicRoutes
        - summary
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
